module.exports = function(grunt) {

	var path = require("path");

	grunt.initConfig({
		sass: {
			options: {
				outputStyle: 'expanded',
				sourceMap: true,
				includePaths: [path.join(__dirname, 'node-modules', 'include-media', 'dist')]
				// ik het include-media gekopieerd naar de sass-folder
			},
			dist: {
				files: [{
					expand: true,
					cwd: 'assets/sass',
					src: '**/*.scss',
					dest: 'assets/css',
					ext: '.css'
				}]
			}
		},
		clean: {
			// options: {
   //  			'no-write': true
  	// 		},
			css: {
				src: null
			}
		},
		watch: {
			css: {
				files: 'assets/sass/**/*.scss',
				tasks: 'sass',
				options: {
					spawn: false
				}
			}
		}
	});

	grunt.loadNpmTasks('grunt-sass');
	grunt.loadNpmTasks('grunt-contrib-clean');
	grunt.loadNpmTasks('grunt-contrib-watch');

	grunt.registerTask('default', ['sass', 'watch:css']);

	grunt.event.on('watch', function(action, filepath) {
		var fileName;
		var fileToDelete = "";

        if (action === "deleted") {
        	if (filepath.slice(-4) === 'scss') {
        		fileName = filepath.replace(/^.*(\\|\/|\:)/, '');
            	fileToDelete = "assets/css/" + fileName.slice(0, -5) + ".css";
            }
            grunt.config.set('clean.css.src', [fileToDelete]);
            grunt.task.run("clean:css");
        }
    });	
}